Bug 112931 - LibreOffice hangs when opening toolbar context menu (gtk2)
Summary: LibreOffice hangs when opening toolbar context menu (gtk2)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: bibisectRequest, perf, regression
Depends on:
Blocks: GTK2 Toolbars-Context-Menu
  Show dependency treegraph
 
Reported: 2017-10-06 09:42 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-10 19:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screencast (1.77 MB, video/webm)
2017-10-06 09:42 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-10-06 09:42:29 UTC
Created attachment 136799 [details]
screencast

steps:
1. open writer
2. right-click on toolbar
3. hang

Version: 6.0.0.0.alpha0+
Build ID: 34f4446b0a5e04465216ff4ec2547aa82e0f06c2
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-10-06 09:55:04 UTC
Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: 34f4446b0a5e04465216ff4ec2547aa82e0f06c2
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

but not in

Version: 6.0.0.0.alpha0+
Build ID: 8457b50ffd6e41b4925aef17bed2b5a2f3bf56bd
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 2 Commit Notification 2017-10-09 17:39:56 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6d7191a9bbbae1421edc7d94dccc040f622bc227

tdf#112931 always signal AllUserEventsProcessed

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2017-10-10 09:18:35 UTC
fix verified in

Version: 6.0.0.0.alpha0+
Build ID: 07b7513aa3d219fbdfd36ce2b1aa6ea0f4f4b02d
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

@jan-marek, close it as RESOLVED FIXED when no further work is needed for this issue